#!/bin/sh

# $1 - action
# $2 - type of file

action=$1
filetype=$2

if [ -n "$DISPLAY" ]; then
	[ -n "${MC_XDG_OPEN}" ] || MC_XDG_OPEN="xdg-open"
fi

do_view_action() {
    filetype=$1

    case "${filetype}" in
    *)
        if which gnome-mplayer >/dev/null 2>&1; then
            gnome-mplayer "${MC_EXT_FILENAME}"
        elif which mpv_identify.sh >/dev/null 2>&1; then
            mpv_identify.sh "${MC_EXT_FILENAME}"
        else
            echo "Please install either mplayer or mpv to get information for this file"
        fi
        ;;
    esac
}

do_open_action() {
    filetype=$1

    if which gnome-mplayer >/dev/null 2>&1; then
        if [ -n "$DISPLAY" ]; then
            PLAYER=gnome-mplayer
        else
            PLAYER=mplayer
        fi

    elif which mpv >/dev/null 2>&1; then
        if [ -n "$DISPLAY" ]; then
            PLAYER=celluloid
        else
            PLAYER=mpv
        fi
    else
        echo "Please install either mplayer or mpv to play this file"
        return
    fi

    case "${filetype}" in
    *)
        if [ -n "$DISPLAY" ]; then
            ($PLAYER "${MC_EXT_FILENAME}" >/dev/null 2>&1 &)
        else
            $PLAYER "${MC_EXT_FILENAME}"
        fi
        ;;
    esac
}

case "${action}" in
view)
    do_view_action "${filetype}"
    ;;
open)
    ("${MC_XDG_OPEN}" "${MC_EXT_FILENAME}" >/dev/null 2>&1) || \
        do_open_action "${filetype}"
    ;;
*)
    ;;
esac
